curl https://api.thanxsandbox.com/partner/locations \
-H 'X-ClientId: ${client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer ${access_token}' \
{
"locations": [
{
"id": "92b7b0dac4",
"merchant_id": "9a1f0772c9ac",
"street": "123 Pizza Lane",
"city": "Smalltown",
"state": "CA",
"zip": "12345",
"name": "Pizza Town Co",
"phone": "(415) 555-3728"
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_pages": 1
}
}
Metadata
Get Locations
This endpoint will return all accessible location records
GET
/
partner
/
locations
curl https://api.thanxsandbox.com/partner/locations \
-H 'X-ClientId: ${client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer ${access_token}' \
{
"locations": [
{
"id": "92b7b0dac4",
"merchant_id": "9a1f0772c9ac",
"street": "123 Pizza Lane",
"city": "Smalltown",
"state": "CA",
"zip": "12345",
"name": "Pizza Town Co",
"phone": "(415) 555-3728"
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_pages": 1
}
}
This endpoint can be used to fetch the IDs of all locations that are currently
accessible to the integration partner.
curl https://api.thanxsandbox.com/partner/locations \
-H 'X-ClientId: ${client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer ${access_token}' \
Parameters
Response
{
"locations": [
{
"id": "92b7b0dac4",
"merchant_id": "9a1f0772c9ac",
"street": "123 Pizza Lane",
"city": "Smalltown",
"state": "CA",
"zip": "12345",
"name": "Pizza Town Co",
"phone": "(415) 555-3728"
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_pages": 1
}
}